AuditedPropertiesReader (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration.metadata.reader
Class AuditedPropertiesReader

    java.lang.Object
      org.hibernate.envers.configuration.metadata.reader.AuditedPropertiesReader

Direct Known Subclasses:
  ComponentAuditedPropertiesReader

    public class AuditedPropertiesReader

extends Object

Reads persistent properties form a `PersistentPropertiesSource` and adds the ones that are audited to a `AuditedPropertiesHolder`, filling all the auditing data.

Field Summary
`protected ModificationStore` | `defaultStore`

Constructor Summary
`AuditedPropertiesReader(ModificationStore defaultStore, PersistentPropertiesSource persistentPropertiesSource, AuditedPropertiesHolder auditedPropertiesHolder, GlobalConfiguration globalCfg, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager, String propertyNamePrefix)`

Method Summary
`protected boolean` | `checkAudited(org.hibernate.annotations.common.reflection.XProperty property, PropertyAuditingData propertyData, Audited allClassAudited)`
`protected boolean` | `checkUsingModifiedFlag(Audited aud)`
`void` | `read()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultStore

    protected final ModificationStore defaultStore

Constructor Detail

### AuditedPropertiesReader

    public AuditedPropertiesReader(ModificationStore defaultStore,
                                   PersistentPropertiesSource persistentPropertiesSource,
                                   AuditedPropertiesHolder auditedPropertiesHolder,
                                   GlobalConfiguration globalCfg,
                                   org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager,
                                   String propertyNamePrefix)

Method Detail

### read

    public void read()

### checkAudited

    protected boolean checkAudited(org.hibernate.annotations.common.reflection.XProperty property,
                                   PropertyAuditingData propertyData,
                                   Audited allClassAudited)

### checkUsingModifiedFlag

    protected boolean checkUsingModifiedFlag(Audited aud)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.